import { ApiBody } from "../../../model/open-api/ApiBody";
/**
 * Decorator for an endpoint method that details the HTTP request Content-Type header value.
 *
 * Overrides the controller value set by the `controllerConsumes` decorator, if any.
 *
 * @param contentType Request content type.
 */
export declare function consumes(contentType?: string, apiBodyInfo?: ApiBody): (classDefinition: Object | Function, methodName: string) => void;
/**
 * Decorator for a controller class that details the HTTP request Content-Type header value for
 * all endpoints.
 *
 * @param contentType Request content type.
 */
export declare function controllerConsumes(contentType: string, apiBodyInfo?: ApiBody): (classDefinition: Function) => void;
