import { ApiParam } from "../../../../model/open-api/ApiParam";
/**
 * Decorator which injects a path parameter value as an endpoint parameter value.
 *
 * Value passed to the method will be a string.
 *
 * @param paramName The name of the path parameter to inject.
 * @param apiParamInfo (Optional) OpenApi metadata about the path parameter.
 */
export declare function pathParam(paramName: string, apiParamInfo?: ApiParam): (classDefinition: Object | Function, methodName: string, paramIndex: number) => void;
