/**
 * Decorator for an endpoint method that sets the HTTP response Content-Type header value.
 *
 * Overrides the controller value set by the `controllerProduces` decorator, if any.
 *
 * @param contentType Content-Type header value.
 */
export declare function produces(contentType: string): (classDefinition: Object | Function, methodName: string) => void;
/**
 * Decorator for a controller class that sets the HTTP response Content-Type header value for
 * all endpoints.
 *
 * @param contentType Content-Type header value.
 */
export declare function controllerProduces(contentType: string): (classDefinition: Function) => void;
