import { Request } from "lambda-api";
import { IAuthFilter } from "./IAuthFilter";
import { BasicAuth } from "../../model/security/BasicAuth";
import { Principal } from "../../model/security/Principal";
/**
 * IAuthFilter implementation that supports the HTTP Basic authentication scheme.
 */
export declare abstract class BasicAuthFilter<T extends Principal> implements IAuthFilter<BasicAuth, T> {
    readonly authenticationSchemeName: string;
    abstract readonly name: string;
    /**
     * If the authentication scheme is 'Basic', returns a BasicAuth instance containing
     * the username and password, otherwise returns undefined.
     *
     * @param request Request context to use.
     */
    extractAuthData(request: Request): Promise<BasicAuth | undefined>;
    /**
     *
     * @param basicAuth
     */
    abstract authenticate(basicAuth: BasicAuth): Promise<T | undefined>;
}
