import { Request, Response } from "lambda-api";
import { Controller } from "../api/Controller";
/**
 * Context of an error thrown by an endpoint method.
 *
 * Instances of this class are passed to error interceptors.
 */
export declare class ApiError {
    /**
     * Error thrown by the endpoint method.
     */
    error: Error;
    /**
     * Parameter values passed to the endpoint method.
     */
    endpointMethodParameters: any[];
    /**
     * Endpoint method defintion.
     */
    endpointMethod: Function;
    /**
     * Controller instance used to call endpoint method.
     */
    endpointController: Controller;
    /**
     * HTTP request context.
     */
    request: Request;
    /**
     * HTTP response context.
     */
    response: Response;
}
