"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppConfig = void 0;
const inversify_1 = require("inversify");
const OpenApiConfig_1 = require("./OpenApiConfig");
const LogLevel_1 = require("./logging/LogLevel");
/**
 * Base class for app configuration. Extend this
 * to supply your own configuration properties.
 *
 * It is recommended to create your own sub-class and
 * register it with the application IOC container.
 *
 * This class supports all the `lambda-api` config
 * options by implementing the `Options` interface.
 */
let AppConfig = class AppConfig {
    constructor() {
        this.openApi = new OpenApiConfig_1.OpenApiConfig();
        this.logger = {
            level: "info"
        };
        this.serverLogger = {
            format: "string",
            level: LogLevel_1.LogLevel.info
        };
    }
};
AppConfig = __decorate([
    inversify_1.injectable(),
    __metadata("design:paramtypes", [])
], AppConfig);
exports.AppConfig = AppConfig;
//# sourceMappingURL=AppConfig.js.map